import Image, ImageDraw, ImageChops

# Load the vias image

vias = Image.open("vias.png").convert('L')
dpi = vias.info["dpi"]
holes = Image.open("holes.png").convert('L')

# Use a flood fill to only leave the holes
# (this step assumes that there isn't a via in the top left corner)
print("Extracting via drill holes")
ImageDraw.floodfill(vias, (0, 0), 255)

cutout = Image.open("cutout.png").convert('L')

# Combine the holes with the original cutout image
print("Combining drill holes and cutout")
combined = ImageChops.darker(vias, cutout).convert('L')
combined = ImageChops.subtract(combined, holes)
# and save
combined.save("cutout.png", dpi=dpi)

# Combine the board images and the cutout mask
print("Masking board image")
board_top = Image.open("board_top.png")
board_bottom = Image.open("board_bottom.png")

mask = Image.open("mask.png").convert('L')

board_top.putalpha(mask)
board_bottom.putalpha(mask)

board_top.save("board_top.png")
board_bottom.transpose(Image.FLIP_LEFT_RIGHT).save("board_bottom.png")

Image.open("bottom.png").transpose(Image.FLIP_LEFT_RIGHT).save("bottom.png", dpi = dpi)


